#!/bin/bash

################
# wnsite.sh
################

_p1=$1
_p2=$2
_p3=$3
_p4=$4
_p5=$5

_url=""
_port=""
_path=""

vversion="01.01"
vdate="30.11.2017"

function _help()
{
	echo ""
	echo -e "******\twnsite.sh Date:$vdate Version:$vversion\t*******"
	echo ""
	echo "help                        - Текущая подсказка"
	echo ""
	./spp.sh version
	./spp.sh --help
	echo ""
	echo "get_http <url:port> <path>       - GET запрос к странице на <url> по умолчанию <port> = 80 "
	echo "head_http <url:port> <path>      - HEAD запрос к странице на <url> по умолчанию <port> = 80 "
	echo "options_http <url:port> <path>   - OPTIONS запрос к странице на <url> по умолчанию <port> = 80 "
	echo "trace_http <url:port> <path>     - TRACE запрос к странице на <url> по умолчанию <port> = 80 "
	echo ""
}

#вывод содержимого страницы на консоль
function _chttp()
{
	#_met="GET http://$_url HTTP/1.0\r\n"
	#_host="Host: $_url\r\n"
	#_snd="$_met$_host\r\n\r\n"
	echo -e "====== SEND ====="
	#echo -e "$_snd"
	#_rcv=$(./sndhttp.sh -str "$_url" "$_port" "$_snd")
	_rcv=$(./sndhttp.sh -get "$_url" "$_port")
	#_rcv=$(./sndhttp.sh -head "$_url" "$_port")
	echo -e "====== RECV ====="
	#./anshttp.sh -a "$_rcv"
	./anshttp.sh -at "$_rcv"
}

#поиск портов по списку адресов IP4
function _spp()
{
	echo "URL:  $_url"
	echo "Port: $_port"
	str=$(./spp.sh -ip $_url -p $_port)
	echo -e "$str"
}

#многопоточный поиск портов по списку адресов IP4 с записью в файл
function _spps()
{
	echo "URL:  $_url"
	echo "Port: $_port"
	str=$(./spp.sh -ip $_url -p $_port -fp)
	echo -e "$str"
}

#команда
case $_p1 in
	"help")
		_help
	;;
	"sp")	#проверка 
		if [ $# != 3 ]
		 then
		  echo "usage: $0 <host> <port>"
		  exit 0
		fi
		_url=$_p2
		_port=$_p3
		$_nc -vv -z $_url $_port
	;;
	"spp")
		_url=$_p2
		_port=$_p3
		_spp
	;;
	"spps")
		_url=$_p2
		_port=$_p3
		_spps
	;;
	"get_http")
		if( (($# < 2)) )
		 then
		  echo "usage: $0 <host:port> if no using <port> hten port = 80 as default"
		  exit 0;
		fi
		_url=$_p2
		_path=$3
 		_rcv=$(./sndhttp.sh -get "$_url" "$_path")
		./anshttp.sh -at "$_rcv"
	;;
	"head_http")
		if( (($# < 2)) )
		 then
		  echo "usage: $0 <host:port> if no using <port> hten port = 80 as default"
		  exit 0;
		fi
		_url=$_p2
 		_path=$3
 		_rcv=$(./sndhttp.sh -head "$_url" "$_path")
		./anshttp.sh -at "$_rcv"
	;;
	"options_http")
		if( (($# < 2)) )
		 then
		  echo "usage: $0 <host:port> if no using <port> hten port = 80 as default"
		  exit 0;
		fi
		_url=$_p2
 		_path=$3
 		_rcv=$(./sndhttp.sh -options "$_url" "$_path")
		./anshttp.sh -at "$_rcv"
	;;
	"trace_http")
		if( (($# < 2)) )
		 then
		  echo "usage: $0 <host:port> if no using <port> hten port = 80 as default"
		  exit 0;
		fi
		_url=$_p2
 		_path=$3
 		_rcv=$(./sndhttp.sh -trace "$_url" "$_path")
		./anshttp.sh -at "$_rcv"
	;;
	*)
		echo ""
		echo "use key \"help\" for information"
		echo "sample: ./wnsite.sh help"
		echo ""
	;;
esac
